package com.luojia_channel.modules.post.service;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.luojia_channel.common.domain.page.PageResponse;
import com.luojia_channel.common.domain.page.ScrollPageResponse;
import com.luojia_channel.modules.post.dto.req.CommentPageQueryDTO;
import com.luojia_channel.modules.post.dto.req.CommentSaveDTO;
import com.luojia_channel.modules.post.dto.resp.CommentInfoDTO;
import com.luojia_channel.modules.post.entity.Comment;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public interface CommentService {

    Long saveComment(CommentSaveDTO commentSaveDTO);

    void updateComment(CommentSaveDTO commentSaveDTO);

    void deleteComment(Long id);

    ScrollPageResponse<CommentInfoDTO> getCommentsByPostId(CommentPageQueryDTO commentPageQueryDTO);

    ScrollPageResponse<CommentInfoDTO> getReplyById(CommentPageQueryDTO commentPageQueryDTO);

    void likeComment(Long id);
}
